Skip to main content
POST
/
wallet
/
portfolio
Wallet Portfolio
curl --request POST \
  --url https://api.coinvoyage.io/v3/wallet/portfolio \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "filter": {
    "min_balance_usd": 1
  },
  "force_refresh": false,
  "wallet": {
    "address": "0x1234...abcd",
    "chain_ids": [
      1,
      8453,
      137
    ],
    "chain_type": "EVM"
  }
}
'
import requests

url = "https://api.coinvoyage.io/v3/wallet/portfolio"

payload = {
"filter": { "min_balance_usd": 1 },
"force_refresh": False,
"wallet": {
"address": "0x1234...abcd",
"chain_ids": [1, 8453, 137],
"chain_type": "EVM"
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {min_balance_usd: 1},
force_refresh: false,
wallet: {address: '0x1234...abcd', chain_ids: [1, 8453, 137], chain_type: 'EVM'}
})
};

fetch('https://api.coinvoyage.io/v3/wallet/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "chain_type": "EVM",
  "currencies": [
    {
      "balance": {
        "raw": "100000000",
        "ui": "100.0",
        "value_usd": 100
      },
      "currency": {
        "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "chain_id": 1,
        "decimals": 6,
        "id": "1:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
        "name": "USD Coin",
        "price_usd": 1,
        "symbol": "USDC"
      }
    }
  ],
  "wallet_address": "0x1234...abcd"
}
{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}
{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}
{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}

Authorizations

X-API-KEY
string
header
required

Headers

X-API-KEY
string
required

API key for authentication

Body

application/json
wallet
object
required
Example:
{
"address": "0x1234...abcd",
"chain_ids": [1, 8453, 137],
"chain_type": "EVM"
}
filter
object | null
Example:
{ "min_balance_usd": 1 }
force_refresh
boolean
Example:

false

Response

Portfolio scan succeeded

wallet_address
string
required
Example:

"0x1234...abcd"

chain_type
enum<string>
required
Available options:
EVM,
SOL,
SUI,
UTXO
Example:

"EVM"

scanned_at
string<date-time>
required
expires_at
string<date-time>
required
currencies
object[]
required